package hooks

import (
	"fmt"
	"testing"
	"time"

	"github.com/sirupsen/logrus"
)

func FTestClient_Notify(t *testing.T) {
	NewClient("127.0.0.1", 8085)
	resp, err := defaultClient.Notify(&NotifyRequest{
		Project:     "xxx",
		Maintainers: []string{"x", "Y"},
		Message:     "message",
		Time:        time.Now().String(),
	})
	if err != nil {
		fmt.Println("err===>", err)
	}

	logrus.Debug()

	fmt.Println("resp===>", resp)
}
